import { AnyObject } from '@loopback/repository';
import { IServiceConfig } from '@sourceloop/core';
import { STRATEGY } from 'loopback4-authentication';
import { OtpMethodType } from './enums';
import { LocalUserProfileDto } from './models';
import { SignupRequestDto } from './models/signup-request-dto.model';
export interface IAuthServiceConfig extends IServiceConfig {
}
export declare const AuthDbSourceName = "AuthDB";
export declare const AuthCacheSourceName = "AuthCache";
export interface IMfaConfig {
    secondFactor: STRATEGY;
}
export interface IOtpConfig {
    method: OtpMethodType;
}
export interface PreSignupFn<T, S> {
    (request: SignupRequestDto<T>): Promise<S>;
}
export interface UserSignupFn<T, S> {
    (model: T & LocalUserProfileDto, tokenInfo?: AnyObject): Promise<S>;
}
export interface IAuthClientDTO {
    client_id: string;
    client_secret: string;
}
export interface ExternalTokens {
    externalAuthToken?: string;
    externalRefreshToken?: string;
}
